summaryrefslogtreecommitdiff
path: root/scripts/deployqtHelper_mac.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@qt.io>2020-07-14 16:58:24 +0200
committerEike Ziller <eike.ziller@qt.io>2020-07-17 06:23:03 +0000
commitded5c64d5391185214f45f01e6661dff6cffdea5 (patch)
treec35ee2d071722e4cc695fe1d4ff9be0a5bc4a5be /scripts/deployqtHelper_mac.sh
parentcc7caee1339f94795b3d7057d6d1336a51572e86 (diff)
downloadqt-creator-ded5c64d5391185214f45f01e6661dff6cffdea5.tar.gz
Fix deployment of clazy-standalone
On Linux and macOS, clazy-standalone links against some dynamic libraries which we need to ship. Fixes: QTCREATORBUG-24344 Change-Id: I4946d2ae22fc9363445e6a3eecb8d9e40be5ef0e Reviewed-by: Christian Kandeler <christian.kandeler@qt.io> Reviewed-by: Christian Stenger <christian.stenger@qt.io>
Diffstat (limited to 'scripts/deployqtHelper_mac.sh')
-rwxr-xr-xscripts/deployqtHelper_mac.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index 8844f8502d..f91423accb 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -133,6 +133,8 @@ if [ $LLVM_INSTALL_DIR ]; then
mkdir -p "$libexec_path/clang/lib"
cp -Rf "$LLVM_INSTALL_DIR"/lib/libclang.*dylib "$app_path/Contents/Frameworks/" || exit 1
cp -Rf "$LLVM_INSTALL_DIR"/lib/clang "$libexec_path/clang/lib/" || exit 1
+ cp -Rf "$LLVM_INSTALL_DIR"/lib/libclang-cpp.dylib "$libexec_path/clang/lib/" || exit 1
+ cp -Rf "$LLVM_INSTALL_DIR"/lib/ClazyPlugin.dylib "$libexec_path/clang/lib/" || exit 1
clangsource="$LLVM_INSTALL_DIR"/bin/clang
clanglinktarget="$(readlink "$clangsource")"
cp -Rf "$clangsource" "$libexec_path/clang/bin/" || exit 1
@@ -145,6 +147,7 @@ if [ $LLVM_INSTALL_DIR ]; then
cp -Rf "$clangtidysource" "$libexec_path/clang/bin/" || exit 1
clazysource="$LLVM_INSTALL_DIR"/bin/clazy-standalone
cp -Rf "$clazysource" "$libexec_path/clang/bin/" || exit 1
+ install_name_tool -add_rpath "@executable_path/../lib" "$libexec_path/clang/bin/clazy-standalone" || exit 1
fi
clangbackendArgument="-executable=$libexec_path/clangbackend"
clangpchmanagerArgument="-executable=$libexec_path/clangpchmanagerbackend"